package com.fjhx.wms.entity.stock.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class StockExcelBo {
	@ColumnWidth(20)
	@ExcelProperty("仓库名称")
	private String warehouseName;
	@ColumnWidth(20)
	@ExcelProperty("物品类型")
	private String productDefinitionName;
	@ColumnWidth(35)
	@ExcelProperty("所属分类")
	private String productClassifyNames;
	@ColumnWidth(20)
	@ExcelProperty("物品编码")
	private String productCode;
	@ColumnWidth(35)
	@ExcelProperty("物品名称")
	private String productName;
	@ColumnWidth(20)
	@ExcelProperty("规格型号")
	private String productSpec;
	@ColumnWidth(10)
	@ExcelProperty("单位")
	private String productUnit;
	@ColumnWidth(15)
	@ExcelProperty("安全库存")
	private Integer stockThreshold;
	@ColumnWidth(15)
	@ExcelProperty("库存数量")
	private BigDecimal quantity;
	@ColumnWidth(20)
	@ExcelProperty("加权成本单价")
	private BigDecimal unitPrice;
}
